# $Revision: 1.28 $, $Date: 2008/10/22 06:51:37 $
%include	/usr/lib/rpm/macros.php
%define		_class		Console
%define		_subclass	Table
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - makes it easy to build console style tables
Summary(pl.UTF-8):	%{_pearname} - proste tworzenie tabel konsolowych
Name:		php-pear-%{_pearname}
Version:	1.1.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	34b5f34db1ab0c4daedf2862958af257
URL:		http://pear.php.net/package/Console_Table/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides methods such as addRow(), insertRow(), addCol() etc to build
Console tables. Can be with or without headers, and has various
configurable options.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza metod, takich jak addRow(), insertRow(), addCol(), itp. do
tworzenia tabel konsolowych. Mogą być robione z i bez nagłówków.
Posiada wiele opcji konfigurowalnych.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Console_Table.spec,v $
Revision 1.28  2008/10/22 06:51:37  adamg
- updated to 1.1.3

Revision 1.27  2008/07/28 09:39:56  adamg
- updated to 1.1.2

Revision 1.26  2008-05-02 23:02:01  adamg
- updated to 1.1.1

Revision 1.25  2008-01-31 12:16:05  glen
- rel 2

Revision 1.24  2008-01-31 10:27:35  glen
- 1.0.8

Revision 1.23  2007-06-30 21:06:23  arekm
- up to 1.0.7

Revision 1.22  2007/02/28 01:39:37  glen
- 1.0.6

Revision 1.21  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.19  2006/09/02 18:26:01  adamg
- updated to 1.0.5

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/04/10 18:28:50  glen
- 1.0.4

Revision 1.16  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.15  2006/03/13 07:15:04  glen
- up to 1.0.3, added -tests

Revision 1.14  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.13  2005/09/19 23:37:02  glen
- 1.0.2

Revision 1.12  2005/09/19 21:43:39  glen
- integer BR

Revision 1.11  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.10.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.10.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.10  2004/12/03 21:10:28  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.8  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.7  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.6  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/06 21:16:59  blues
- 1.0.1 - caching bug fixed

Revision 1.3  2003/02/01 16:02:08  blues
- 1.0 - stable release - STBR to Ra updates

Revision 1.2  2002/10/14 23:38:02  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.1  2002/09/02 11:32:37  blues
- initial release - 0.8 (beta) - STBR

